from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XBufferController(XInterface, Protocol):
    def destroyBuffers(self) -> None: ...
    def showBuffer(self, bUpdateAll: bool) -> bool: ...
    def switchBuffer(self, bUpdateAll: bool) -> bool: ...
